import {select, csv, scaleLinear,max, scaleBand} from 'd3';
const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const margin = {top:20, right:20, bottom:20, left:50};
  const xValue = d => d.country;
  const yvalue = d => d.population;
  const innerwidth = width - margin.left - margin.right;
  const innerheight = height - margin.top - margin.bottom;
  
  const xScale = scaleBand()
  	.domain(data.map(xValue))
  	.range([0,innerwidth]);
  
  const yScale = scaleLinear()
  	.domain([0,max(data,yValue)])
  	.range([0,innerHeight]);
  
  const g = svg.append('g')
       .attr('transform','translate(${margin.left},${margin.top})');                
  	
  g.selectAll('rect').data(data)
   	.enter().append('rect')
  		.attr('y', d => yScale(yValue(d)))
  		.attr('width',d => xScale(xValue(d)))
  		.attr('height',xScale.bandwidth());
};  


csv('data.csv').then(data => { 
  data.forEach(d => {
    d.population = +d.population * 1000;
  });
  render(data);
});